# Reporting for external Players

For external Players or special Cases, the Customer can use a special Gateway to report the same Events as nexxPLAY does. For these Purposes, a Ping URL has to be built like the following:

## Media Event Ping

<mark style="color:blue;">`GET`</mark> `https://ping.nexx.cloud/:domainid/:streamtype/:mediahash/:event`

#### Path Parameters

| Name       | Type    | Description                                                                                                    |
| ---------- | ------- | -------------------------------------------------------------------------------------------------------------- |
| domainid   | integer | The Domain ID                                                                                                  |
| streamtype | string  | The Type of the current Media Object                                                                           |
| mediahash  | string  | The Hash ID of the current Media Object                                                                        |
| event      | string  | The Action to Report. Currently supported is \[display, playerstart, play, click, engage, adcall, ad, adclick] |

#### Query Parameters

| Name             | Type    | Description                                                                                                                                                      |
| ---------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| feedid           | string  | If the Media Items for this Action were collected by a MRSS Feed/Podcast, report this ID here                                                                    |
| deliveryPartner  | integer | If the Action tool place by a known Delivery Partner, but within the Context of the Domain ID, add the Delivery Partner ID here.                                 |
| affiliatePartner | integer | If the Action took place on a Frontend, provided by a known Affiliate Partner, add the Affilate Partner ID here (not the Affiliate Partner Code!).               |
| gateway          | string  | The Playback Gateway for this Action. Supported values (for Standard Actions) are \[desktop, mobile, tablet, ios, android, win8, osx, smarttv, androidtv, smart] |
| device           | string  | The Playback Device for this Action. Supported values a re \[pc, mobile, tablet, tv, smart, watch]                                                               |
| r                | string  | A random Value (Cache Buster)                                                                                                                                    |

{% tabs %}
{% tab title="200 All Parameters were ok, Action created." %}

```
OK
```

{% endtab %}

{% tab title="403 Parameters didnt match or referenced a non-existing Media Object" %}

```
ERROR
```

{% endtab %}
{% endtabs %}

For the **`play`**&#x45;vent, the following additional Query Parameters are supported:

| Parameter  | Description                                                              |
| ---------- | ------------------------------------------------------------------------ |
| protocol   | The Stream Protocol \[http, dash, hls]                                   |
| codec      | The Stream Codec \[mp4, webm, hevc, vp9, mp3, opus, aac]                 |
| protection | The Stream is protected via \[token, url, playready, widevine, fairplay] |
|            |                                                                          |

For the **`engage`**&#x45;vent, the following additional Query Parameters are supported:

| Parameter | Description                           |
| --------- | ------------------------------------- |
| action    | The Engagement Action, provided by 3Q |
| context   | The Engagement Context                |
| value     | The Engagement Value, if suitable     |

For the **`click`**&#x45;vent, the following additional Query Parameters are supported:

| Parameter        | Description                                                                                                 |
| ---------------- | ----------------------------------------------------------------------------------------------------------- |
| targetItem       | The Item ID, that has been clicked, if the Click was handled on an Item, presented by the main Item         |
| targetStreamtype | The Item Streamtype, that has been clicked, if the Click was handled on an Item, presented by the main Item |
| targetURL        | The URL, that was opened by the Click                                                                       |

For all **`ad*`**&#x43;alls, the following Query Parameters are supported:

| Parameter | Description                                                         |
| --------- | ------------------------------------------------------------------- |
| type      | The Type of the Asset \[bumper, preroll, midroll, postroll, banner] |
| mode      | The used Technology \[vast, ima, plugin]                            |
| provider  | A Reference Code for the Ad Provider, provided by 3Q                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/other-integration-options/reporting-for-external-players.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
